package wekan.wrapper.api;

import retrofit2.Call;
import retrofit2.http.Field;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.POST;
import wekan.wrapper.entity.UserPrototype;

public interface LoginService {

    /**
     *
     * @param username
     * @param password
     * @return User id and token
     */
    @FormUrlEncoded
    @POST("/users/login")
    Call<UserPrototype> login(@Field("username") String username, @Field("password") String password);
}
